package employee

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/employee"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /employee/update employee UpdateEmployee
//
// Update employee information | 更新Employee
//
// Update employee information | 更新Employee
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: EmployeeInfo
//
// Responses:
//  200: BaseMsgResp

func UpdateEmployeeHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.EmployeeInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := employee.NewUpdateEmployeeLogic(r.Context(), svcCtx)
		resp, err := l.UpdateEmployee(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
